%define fname gtkspell

%define major 0
%define gmajor 3.0
%define libname %mklibname %{name}_ %major
%define develname %mklibname -d %name
%define girname %mklibname %{name}-gir %{gmajor}

Name:           gtkspell3
Version:        3.0.10
Release:        %mkrel 2
Summary:        On-the-fly spell checking for GtkTextView widgets
Group:          System/Libraries

License:        GPLv2+
URL:            http://gtkspell.sourceforge.net/
Source0:        http://downloads.sourceforge.net/gtkspell/gtkspell3-%{version}.tar.xz
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  gettext
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  intltool
BuildRequires:  iso-codes
BuildRequires:  vala-devel
BuildRequires:  vala-tools

%description
GtkSpell provides word-processor-style highlighting and replacement of
misspelled words in a GtkTextView widget as you type. Right-clicking a
misspelled word pops up a menu of suggested replacements.

%package        -n %libname
Summary:        Development files for %{name}
Group:		System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %libname
The %{libname} package contains libraries for applications that use
GtkSpell API version 3.0.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package        -n %develname
Summary:        Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:       %{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %develname
The %{develname} package contains libraries and header files for
developing applications that use GtkSpell API version 3.0.

%prep
%autosetup

%build
#autoreconf -vfi
%configure \
  --disable-static \
  --enable-vala \
  --enable-introspection=yes
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang gtkspell3

%files -f gtkspell3.lang
%doc AUTHORS README
%license COPYING

%files -n %libname
%{_libdir}/libgtkspell3-3.so.%{major}
%{_libdir}/libgtkspell3-3.so.%{major}.*

%files -n %girname
%{_libdir}/girepository-1.0/GtkSpell-%{gmajor}.typelib

%files -n %develname
%doc %{_datadir}/gtk-doc/
%{_includedir}/gtkspell-3.0/
%{_libdir}/libgtkspell3-3.so
%{_libdir}/pkgconfig/gtkspell3-3.0.pc
%{_datadir}/gir-1.0/GtkSpell-3.0.gir
%{_datadir}/vala/vapi/gtkspell3-3.0.vapi
%{_datadir}/vala/vapi/gtkspell3-3.0.deps


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.0.10-2.mga8
+ Revision: 1502544
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 daviddavid <daviddavid> 3.0.10-1.mga7
+ Revision: 1280233
- new version 3.0.10

* Thu Mar 16 2017 tv <tv> 3.0.9-3.mga6
+ Revision: 1093171
- package license
- switch to %%autosetup

* Sun Oct 09 2016 neoclust <neoclust> 3.0.9-2.mga6
+ Revision: 1059740
- Rebuild for armv7

* Sat Oct 08 2016 wally <wally> 3.0.9-1.mga6
+ Revision: 1059510
- new version 3.0.9

* Mon May 02 2016 tv <tv> 3.0.8-1.mga6
+ Revision: 1008636
- new release

* Thu Feb 11 2016 umeabot <umeabot> 3.0.7-2.mga6
+ Revision: 954278
- Mageia 6 Mass Rebuild

* Fri Sep 04 2015 tv <tv> 3.0.7-1.mga6
+ Revision: 872698
- new release

* Mon Jun 29 2015 wally <wally> 3.0.6-5.mga6
+ Revision: 847491
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 3.0.6-4.mga5
+ Revision: 749911
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 3.0.6-3.mga5
+ Revision: 724902
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 3.0.6-2.mga5
+ Revision: 680033
- Mageia 5 Mass Rebuild

* Mon May 05 2014 tv <tv> 3.0.6-1.mga5
+ Revision: 620264
- new release

* Tue Oct 22 2013 umeabot <umeabot> 3.0.4-2.mga4
+ Revision: 541350
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 mitya <mitya> 3.0.4-1.mga4
+ Revision: 495647
- New version 3.0.4

* Wed Jun 12 2013 tv <tv> 3.0.3-1.mga4
+ Revision: 442106
- drop merged patch
- new release

* Thu May 30 2013 wally <wally> 3.0.2-4.mga4
+ Revision: 433452
- split out gir typelib
- add patch from upstream (via Gentoo) to fix build with new gobject-introspection

* Sat May 25 2013 fwang <fwang> 3.0.2-3.mga4
+ Revision: 426925
- drop unneeded obsoletes

* Sat May 25 2013 fwang <fwang> 3.0.2-2.mga4
+ Revision: 426908
- correct libname
- bump rel
- rework spec

* Fri May 24 2013 tv <tv> 3.0.2-1.mga4
+ Revision: 426282
- imported package gtkspell3


* Fri May 24 2013 Thierry Vignaud <tv@mageia.org> 3.0.2-1.mga4
- initial release
